Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SearchFileDownloads

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.FoundFileDownloads>
it.tdlight.jni.TdApi.SearchFileDownloads

Enclosing class:
  TdApi

public static final class TdApi.SearchFileDownloads extends TdApi.Function<TdApi.FoundFileDownloads>
Searches for files in the file download list or recently downloaded files from the list.

Returns `FoundFileDownloads`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`limit`
The maximum number of files to be returned.
`String`
`offset`
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
`boolean`
`onlyActive`
Pass true to search only for active downloads, including paused.
`boolean`
`onlyCompleted`
Pass true to search only for completed downloads.
`String`
`query`
Query to search for; may be empty to return all downloaded files.

## Constructor Summary

Constructors
Constructor
Description
`SearchFileDownloads()`
Searches for files in the file download list or recently downloaded files from the list.
`SearchFileDownloads(DataInput input)`
Searches for files in the file download list or recently downloaded files from the list.
`SearchFileDownloads(String query, boolean onlyActive, boolean onlyCompleted, String offset, int limit)`
Searches for files in the file download list or recently downloaded files from the list.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### query

public String query
Query to search for; may be empty to return all downloaded files.

### onlyActive

public boolean onlyActive
Pass true to search only for active downloads, including paused.

### onlyCompleted

public boolean onlyCompleted
Pass true to search only for completed downloads.

### offset

public String offset
Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

### limit

public int limit
The maximum number of files to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### SearchFileDownloads

public SearchFileDownloads()
Searches for files in the file download list or recently downloaded files from the list.

Returns `FoundFileDownloads`

### SearchFileDownloads

public SearchFileDownloads(String query, boolean onlyActive, boolean onlyCompleted, String offset, int limit)
Searches for files in the file download list or recently downloaded files from the list.

Returns `FoundFileDownloads`

Parameters:
  `query` - Query to search for; may be empty to return all downloaded files.
  `onlyActive` - Pass true to search only for active downloads, including paused.
  `onlyCompleted` - Pass true to search only for completed downloads.
  `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `limit` - The maximum number of files to be returned.

  Returns `FoundFileDownloads`

### SearchFileDownloads

public SearchFileDownloads(DataInput input) throws IOException
Searches for files in the file download list or recently downloaded files from the list.

Returns `FoundFileDownloads`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`